During update: Error! Your kernel headers for kernel 4.15.18-16-pve cannot be found.

mailinglists

Renowned Member
Mar 14, 2012
641
66
93
Hi,

just installed new node with latest iso and upgraded it from test repos. Here is the log:

Code:
Starting system upgrade: apt-get dist-upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages were automatically installed and are no longer required:
  dkms fakeroot gcc gcc-6 libasan3 libatomic1 libcc1-0 libcilkrts5 libfakeroot
  libgcc-6-dev libgomp1 libitm1 liblsan0 libmpx2 libtsan0 libubsan0
  linux-compiler-gcc-6-x86 linux-headers-4.9.0-9-amd64 linux-headers-4.9.0-9-common
  linux-headers-amd64 linux-kbuild-4.9 spl-dkms sudo zfs-dkms
Use 'apt autoremove' to remove them.
The following NEW packages will be installed:
  proxmox-mini-journalreader pve-kernel-4.15.18-16-pve
The following packages will be upgraded:
  base-files bind9-host dbus dnsutils libbind9-140 libdbus-1-3 libdns-export162
  libdns162 libhttp-daemon-perl libirs141 libisc-export160 libisc160 libisccc140
  libisccfg140 liblwres141 libpng16-16 libpve-access-control libpve-common-perl
  libpve-storage-perl libsmbclient libssh2-1 libwbclient0 linux-libc-dev postfix
  postfix-sqlite proxmox-widget-toolkit pve-cluster pve-container pve-firewall
  pve-kernel-4.15 pve-kernel-4.15.18-12-pve pve-manager pve-qemu-kvm qemu-server
  rsync samba-common samba-libs smbclient tzdata vim-common vim-tiny xxd zfs-zed
43 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Need to get 134 MB of archives.
After this operation, 261 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://ftp.si.debian.org/debian stretch/main amd64 base-files amd64 9.9+deb9u9 [67.4 kB]
Get:2 http://security.debian.org stretch/updates/main amd64 libsmbclient amd64 2:4.5.16+dfsg-1+deb9u2 [151 kB]                 
Get:3 http://ftp.si.debian.org/debian stretch/main amd64 tzdata all 2019a-0+deb9u1 [273 kB]                 
Get:4 http://download.proxmox.com/debian/pve stretch/pve-no-subscription amd64 libhttp-daemon-perl all 6.01-2 [15.9 kB]
Get:5 http://ftp.si.debian.org/debian stretch/main amd64 rsync amd64 3.1.2-1+deb9u2 [393 kB]                           
Get:6 http://download.proxmox.com/debian/pve stretch/pve-no-subscription amd64 libpve-common-perl all 5.0-52 [95.5 kB]
Get:7 http://security.debian.org stretch/updates/main amd64 samba-libs amd64 2:4.5.16+dfsg-1+deb9u2 [5231 kB]
Get:8 http://ftp.si.debian.org/debian stretch/main amd64 libssh2-1 amd64 1.7.0-1+deb9u1 [139 kB]       
Get:9 http://ftp.si.debian.org/debian stretch/main amd64 postfix-sqlite amd64 3.1.12-0+deb9u1 [321 kB]       
Get:10 http://download.proxmox.com/debian/pve stretch/pve-no-subscription amd64 pve-cluster amd64 5.0-37 [142 kB]
Get:11 http://ftp.si.debian.org/debian stretch/main amd64 postfix amd64 3.1.12-0+deb9u1 [1444 kB]           
Get:12 http://download.proxmox.com/debian/pve stretch/pve-no-subscription amd64 libpve-access-control amd64 5.1-10 [41.6 kB]
Get:13 http://download.proxmox.com/debian/pve stretch/pve-no-subscription amd64 proxmox-widget-toolkit all 1.0-28 [42.1 kB]
Get:14 http://download.proxmox.com/debian/pve stretch/pve-no-subscription amd64 libpve-storage-perl all 5.0-43 [91.4 kB]
Get:15 http://download.proxmox.com/debian/pve stretch/pve-no-subscription amd64 pve-container all 2.0-39 [103 kB]
Get:16 http://download.proxmox.com/debian/pve stretch/pve-no-subscription amd64 pve-firewall amd64 3.0-22 [67.3 kB]
Get:17 http://download.proxmox.com/debian/pve stretch/pve-no-subscription amd64 pve-kernel-4.15.18-16-pve amd64 4.15.18-41 [52.5 MB]
Get:18 http://security.debian.org stretch/updates/main amd64 libwbclient0 amd64 2:4.5.16+dfsg-1+deb9u2 [124 kB]     
Get:19 http://security.debian.org stretch/updates/main amd64 smbclient amd64 2:4.5.16+dfsg-1+deb9u2 [410 kB]
Get:20 http://security.debian.org stretch/updates/main amd64 samba-common all 2:4.5.16+dfsg-1+deb9u2 [174 kB]
Get:21 http://security.debian.org stretch/updates/main amd64 xxd amd64 2:8.0.0197-4+deb9u3 [132 kB]
Get:22 http://security.debian.org stretch/updates/main amd64 vim-tiny amd64 2:8.0.0197-4+deb9u3 [446 kB]
Get:23 http://security.debian.org stretch/updates/main amd64 vim-common all 2:8.0.0197-4+deb9u3 [159 kB]
Get:24 http://security.debian.org stretch/updates/main amd64 dnsutils amd64 1:9.10.3.dfsg.P4-12.3+deb9u5 [284 kB]
Get:25 http://security.debian.org stretch/updates/main amd64 bind9-host amd64 1:9.10.3.dfsg.P4-12.3+deb9u5 [231 kB]
Get:26 http://security.debian.org stretch/updates/main amd64 libisc160 amd64 1:9.10.3.dfsg.P4-12.3+deb9u5 [398 kB]
Get:27 http://security.debian.org stretch/updates/main amd64 libdns162 amd64 1:9.10.3.dfsg.P4-12.3+deb9u5 [1078 kB]
Get:28 http://security.debian.org stretch/updates/main amd64 libisccc140 amd64 1:9.10.3.dfsg.P4-12.3+deb9u5 [199 kB]
Get:29 http://security.debian.org stretch/updates/main amd64 libisccfg140 amd64 1:9.10.3.dfsg.P4-12.3+deb9u5 [223 kB]
Get:30 http://security.debian.org stretch/updates/main amd64 liblwres141 amd64 1:9.10.3.dfsg.P4-12.3+deb9u5 [214 kB]
Get:31 http://security.debian.org stretch/updates/main amd64 libbind9-140 amd64 1:9.10.3.dfsg.P4-12.3+deb9u5 [206 kB]
Get:32 http://security.debian.org stretch/updates/main amd64 dbus amd64 1.10.28-0+deb9u1 [212 kB]
Get:33 http://security.debian.org stretch/updates/main amd64 libdbus-1-3 amd64 1.10.28-0+deb9u1 [195 kB]
Get:34 http://security.debian.org stretch/updates/main amd64 libirs141 amd64 1:9.10.3.dfsg.P4-12.3+deb9u5 [200 kB]
Get:35 http://security.debian.org stretch/updates/main amd64 libisc-export160 amd64 1:9.10.3.dfsg.P4-12.3+deb9u5 [335 kB]
Get:36 http://security.debian.org stretch/updates/main amd64 libdns-export162 amd64 1:9.10.3.dfsg.P4-12.3+deb9u5 [852 kB]
Get:37 http://security.debian.org stretch/updates/main amd64 libpng16-16 amd64 1.6.28-1+deb9u1 [280 kB]
Get:38 http://security.debian.org stretch/updates/main amd64 linux-libc-dev amd64 4.9.168-1+deb9u3 [1422 kB]
Get:39 http://download.proxmox.com/debian/pve stretch/pve-no-subscription amd64 pve-kernel-4.15 all 5.4-4 [2616 B]             
Get:40 http://download.proxmox.com/debian/pve stretch/pve-no-subscription amd64 pve-kernel-4.15.18-12-pve amd64 4.15.18-36 [52.5 MB]
Get:41 http://download.proxmox.com/debian/pve stretch/pve-no-subscription amd64 proxmox-mini-journalreader amd64 1.0-1 [6418 B]
Get:42 http://download.proxmox.com/debian/pve stretch/pve-no-subscription amd64 pve-qemu-kvm amd64 3.0.1-2 [10.7 MB]           
Get:43 http://download.proxmox.com/debian/pve stretch/pve-no-subscription amd64 qemu-server amd64 5.0-52 [193 kB]             
Get:44 http://download.proxmox.com/debian/pve stretch/pve-no-subscription amd64 pve-manager amd64 5.4-6 [1962 kB]             
Get:45 http://download.proxmox.com/debian/pve stretch/pve-no-subscription amd64 zfs-zed amd64 0.7.13-pve1~bpo2 [65.7 kB]       
Fetched 134 MB in 22s (6015 kB/s)                                                                                             
Reading changelogs... Done
Extracting templates from packages: 100%
Preconfiguring packages ...
(Reading database ... 58060 files and directories currently installed.)
Preparing to unpack .../base-files_9.9+deb9u9_amd64.deb ...
Unpacking base-files (9.9+deb9u9) over (9.9+deb9u8) ...
Setting up base-files (9.9+deb9u9) ...
Installing new version of config file /etc/debian_version ...
(Reading database ... 58060 files and directories currently installed.)
Preparing to unpack .../00-libsmbclient_2%3a4.5.16+dfsg-1+deb9u2_amd64.deb ...
Unpacking libsmbclient:amd64 (2:4.5.16+dfsg-1+deb9u2) over (2:4.5.16+dfsg-1+deb9u1) ...
Preparing to unpack .../01-samba-libs_2%3a4.5.16+dfsg-1+deb9u2_amd64.deb ...
Unpacking samba-libs:amd64 (2:4.5.16+dfsg-1+deb9u2) over (2:4.5.16+dfsg-1+deb9u1) ...
Preparing to unpack .../02-libwbclient0_2%3a4.5.16+dfsg-1+deb9u2_amd64.deb ...
Unpacking libwbclient0:amd64 (2:4.5.16+dfsg-1+deb9u2) over (2:4.5.16+dfsg-1+deb9u1) ...
Preparing to unpack .../03-smbclient_2%3a4.5.16+dfsg-1+deb9u2_amd64.deb ...
Unpacking smbclient (2:4.5.16+dfsg-1+deb9u2) over (2:4.5.16+dfsg-1+deb9u1) ...
Preparing to unpack .../04-samba-common_2%3a4.5.16+dfsg-1+deb9u2_all.deb ...
Unpacking samba-common (2:4.5.16+dfsg-1+deb9u2) over (2:4.5.16+dfsg-1+deb9u1) ...
Preparing to unpack .../05-tzdata_2019a-0+deb9u1_all.deb ...
Unpacking tzdata (2019a-0+deb9u1) over (2018i-0+deb9u1) ...
Preparing to unpack .../06-xxd_2%3a8.0.0197-4+deb9u3_amd64.deb ...
Unpacking xxd (2:8.0.0197-4+deb9u3) over (2:8.0.0197-4+deb9u1) ...
Preparing to unpack .../07-vim-tiny_2%3a8.0.0197-4+deb9u3_amd64.deb ...
Unpacking vim-tiny (2:8.0.0197-4+deb9u3) over (2:8.0.0197-4+deb9u1) ...
Preparing to unpack .../08-vim-common_2%3a8.0.0197-4+deb9u3_all.deb ...
Unpacking vim-common (2:8.0.0197-4+deb9u3) over (2:8.0.0197-4+deb9u1) ...
Preparing to unpack .../09-dnsutils_1%3a9.10.3.dfsg.P4-12.3+deb9u5_amd64.deb ...
Unpacking dnsutils (1:9.10.3.dfsg.P4-12.3+deb9u5) over (1:9.10.3.dfsg.P4-12.3+deb9u4) ...
Preparing to unpack .../10-bind9-host_1%3a9.10.3.dfsg.P4-12.3+deb9u5_amd64.deb ...
Unpacking bind9-host (1:9.10.3.dfsg.P4-12.3+deb9u5) over (1:9.10.3.dfsg.P4-12.3+deb9u4) ...
Preparing to unpack .../11-libisc160_1%3a9.10.3.dfsg.P4-12.3+deb9u5_amd64.deb ...
Unpacking libisc160:amd64 (1:9.10.3.dfsg.P4-12.3+deb9u5) over (1:9.10.3.dfsg.P4-12.3+deb9u4) ...
Preparing to unpack .../12-libdns162_1%3a9.10.3.dfsg.P4-12.3+deb9u5_amd64.deb ...
Unpacking libdns162:amd64 (1:9.10.3.dfsg.P4-12.3+deb9u5) over (1:9.10.3.dfsg.P4-12.3+deb9u4) ...
Preparing to unpack .../13-libisccc140_1%3a9.10.3.dfsg.P4-12.3+deb9u5_amd64.deb ...
Unpacking libisccc140:amd64 (1:9.10.3.dfsg.P4-12.3+deb9u5) over (1:9.10.3.dfsg.P4-12.3+deb9u4) ...
Preparing to unpack .../14-libisccfg140_1%3a9.10.3.dfsg.P4-12.3+deb9u5_amd64.deb ...
Unpacking libisccfg140:amd64 (1:9.10.3.dfsg.P4-12.3+deb9u5) over (1:9.10.3.dfsg.P4-12.3+deb9u4) ...
Preparing to unpack .../15-liblwres141_1%3a9.10.3.dfsg.P4-12.3+deb9u5_amd64.deb ...
Unpacking liblwres141:amd64 (1:9.10.3.dfsg.P4-12.3+deb9u5) over (1:9.10.3.dfsg.P4-12.3+deb9u4) ...
Preparing to unpack .../16-libbind9-140_1%3a9.10.3.dfsg.P4-12.3+deb9u5_amd64.deb ...
Unpacking libbind9-140:amd64 (1:9.10.3.dfsg.P4-12.3+deb9u5) over (1:9.10.3.dfsg.P4-12.3+deb9u4) ...
Preparing to unpack .../17-dbus_1.10.28-0+deb9u1_amd64.deb ...
Unpacking dbus (1.10.28-0+deb9u1) over (1.10.26-0+deb9u1) ...
Preparing to unpack .../18-libdbus-1-3_1.10.28-0+deb9u1_amd64.deb ...
Unpacking libdbus-1-3:amd64 (1.10.28-0+deb9u1) over (1.10.26-0+deb9u1) ...
Preparing to unpack .../19-libirs141_1%3a9.10.3.dfsg.P4-12.3+deb9u5_amd64.deb ...
Unpacking libirs141:amd64 (1:9.10.3.dfsg.P4-12.3+deb9u5) over (1:9.10.3.dfsg.P4-12.3+deb9u4) ...
Preparing to unpack .../20-libisc-export160_1%3a9.10.3.dfsg.P4-12.3+deb9u5_amd64.deb ...
Unpacking libisc-export160 (1:9.10.3.dfsg.P4-12.3+deb9u5) over (1:9.10.3.dfsg.P4-12.3+deb9u4) ...
Preparing to unpack .../21-libdns-export162_1%3a9.10.3.dfsg.P4-12.3+deb9u5_amd64.deb ...
Unpacking libdns-export162 (1:9.10.3.dfsg.P4-12.3+deb9u5) over (1:9.10.3.dfsg.P4-12.3+deb9u4) ...
Preparing to unpack .../22-libhttp-daemon-perl_6.01-2_all.deb ...
Unpacking libhttp-daemon-perl (6.01-2) over (6.01-1) ...
Preparing to unpack .../23-libpng16-16_1.6.28-1+deb9u1_amd64.deb ...
Unpacking libpng16-16:amd64 (1.6.28-1+deb9u1) over (1.6.28-1) ...
Preparing to unpack .../24-libpve-common-perl_5.0-52_all.deb ...
Unpacking libpve-common-perl (5.0-52) over (5.0-50) ...
Preparing to unpack .../25-rsync_3.1.2-1+deb9u2_amd64.deb ...
Unpacking rsync (3.1.2-1+deb9u2) over (3.1.2-1+deb9u1) ...
Preparing to unpack .../26-pve-cluster_5.0-37_amd64.deb ...
Unpacking pve-cluster (5.0-37) over (5.0-36) ...
Preparing to unpack .../27-libpve-access-control_5.1-10_amd64.deb ...
Unpacking libpve-access-control (5.1-10) over (5.1-8) ...
Preparing to unpack .../28-libssh2-1_1.7.0-1+deb9u1_amd64.deb ...
Unpacking libssh2-1:amd64 (1.7.0-1+deb9u1) over (1.7.0-1) ...
Preparing to unpack .../29-linux-libc-dev_4.9.168-1+deb9u3_amd64.deb ...
Unpacking linux-libc-dev:amd64 (4.9.168-1+deb9u3) over (4.9.144-3) ...
Preparing to unpack .../30-proxmox-widget-toolkit_1.0-28_all.deb ...
Unpacking proxmox-widget-toolkit (1.0-28) over (1.0-25) ...
Preparing to unpack .../31-libpve-storage-perl_5.0-43_all.deb ...
Unpacking libpve-storage-perl (5.0-43) over (5.0-41) ...
Preparing to unpack .../32-pve-container_2.0-39_all.deb ...
Unpacking pve-container (2.0-39) over (2.0-37) ...
Preparing to unpack .../33-pve-firewall_3.0-22_amd64.deb ...
Unpacking pve-firewall (3.0-22) over (3.0-19) ...
Selecting previously unselected package pve-kernel-4.15.18-16-pve.
Preparing to unpack .../34-pve-kernel-4.15.18-16-pve_4.15.18-41_amd64.deb ...
Unpacking pve-kernel-4.15.18-16-pve (4.15.18-41) ...
Preparing to unpack .../35-pve-kernel-4.15_5.4-4_all.deb ...
Unpacking pve-kernel-4.15 (5.4-4) over (5.3-3) ...
Preparing to unpack .../36-pve-kernel-4.15.18-12-pve_4.15.18-36_amd64.deb ...
Unpacking pve-kernel-4.15.18-12-pve (4.15.18-36) over (4.15.18-35) ...
Preparing to unpack .../37-postfix-sqlite_3.1.12-0+deb9u1_amd64.deb ...
Removing sqlite map entry from /etc/postfix/dynamicmaps.cf
Unpacking postfix-sqlite (3.1.12-0+deb9u1) over (3.1.9-0+deb9u2) ...
Preparing to unpack .../38-postfix_3.1.12-0+deb9u1_amd64.deb ...
Unpacking postfix (3.1.12-0+deb9u1) over (3.1.9-0+deb9u2) ...
Selecting previously unselected package proxmox-mini-journalreader.
Preparing to unpack .../39-proxmox-mini-journalreader_1.0-1_amd64.deb ...
Unpacking proxmox-mini-journalreader (1.0-1) ...
Preparing to unpack .../40-pve-qemu-kvm_3.0.1-2_amd64.deb ...
Unpacking pve-qemu-kvm (3.0.1-2) over (2.12.1-3) ...
Preparing to unpack .../41-qemu-server_5.0-52_amd64.deb ...
Unpacking qemu-server (5.0-52) over (5.0-50) ...
Preparing to unpack .../42-pve-manager_5.4-6_amd64.deb ...
Unpacking pve-manager (5.4-6) over (5.4-3) ...
Preparing to unpack .../43-zfs-zed_0.7.13-pve1~bpo2_amd64.deb ...
Unpacking zfs-zed (0.7.13-pve1~bpo2) over (0.6.5.9-5) ...
Setting up proxmox-widget-toolkit (1.0-28) ...
Setting up libwbclient0:amd64 (2:4.5.16+dfsg-1+deb9u2) ...
Setting up pve-kernel-4.15.18-16-pve (4.15.18-41) ...
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.15.18-16-pve /boot/vmlinuz-4.15.18-16-pve
run-parts: executing /etc/kernel/postinst.d/dkms 4.15.18-16-pve /boot/vmlinuz-4.15.18-16-pve
Error! Your kernel headers for kernel 4.15.18-16-pve cannot be found.
Please install the linux-headers-4.15.18-16-pve package,
or use the --kernelsourcedir option to tell DKMS where it's located
Error! Your kernel headers for kernel 4.15.18-16-pve cannot be found.
Please install the linux-headers-4.15.18-16-pve package,
or use the --kernelsourcedir option to tell DKMS where it's located
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.15.18-16-pve /boot/vmlinuz-4.15.18-16-pve
update-initramfs: Generating /boot/initrd.img-4.15.18-16-pve
W: mdadm: /etc/mdadm/mdadm.conf defines no arrays.
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 4.15.18-16-pve /boot/vmlinuz-4.15.18-16-pve
Generating grub configuration file ...
Found linux image: /boot/vmlinuz-4.15.18-16-pve
Found initrd image: /boot/initrd.img-4.15.18-16-pve
Found linux image: /boot/vmlinuz-4.15.18-12-pve
Found initrd image: /boot/initrd.img-4.15.18-12-pve
Found memtest86+ image: /ROOT/pve-1@/boot/memtest86+.bin
Found memtest86+ multiboot image: /ROOT/pve-1@/boot/memtest86+_multiboot.bin
done
Setting up pve-kernel-4.15.18-12-pve (4.15.18-36) ...
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.15.18-12-pve /boot/vmlinuz-4.15.18-12-pve
run-parts: executing /etc/kernel/postinst.d/dkms 4.15.18-12-pve /boot/vmlinuz-4.15.18-12-pve
Error! Your kernel headers for kernel 4.15.18-12-pve cannot be found.
Please install the linux-headers-4.15.18-12-pve package,
or use the --kernelsourcedir option to tell DKMS where it's located
Error! Your kernel headers for kernel 4.15.18-12-pve cannot be found.
Please install the linux-headers-4.15.18-12-pve package,
or use the --kernelsourcedir option to tell DKMS where it's located
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.15.18-12-pve /boot/vmlinuz-4.15.18-12-pve
update-initramfs: Generating /boot/initrd.img-4.15.18-12-pve
W: mdadm: /etc/mdadm/mdadm.conf defines no arrays.
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 4.15.18-12-pve /boot/vmlinuz-4.15.18-12-pve
Generating grub configuration file ...
Found linux image: /boot/vmlinuz-4.15.18-16-pve
Found initrd image: /boot/initrd.img-4.15.18-16-pve
Found linux image: /boot/vmlinuz-4.15.18-12-pve
Found initrd image: /boot/initrd.img-4.15.18-12-pve
Found memtest86+ image: /ROOT/pve-1@/boot/memtest86+.bin
Found memtest86+ multiboot image: /ROOT/pve-1@/boot/memtest86+_multiboot.bin
done
Setting up samba-libs:amd64 (2:4.5.16+dfsg-1+deb9u2) ...
Setting up libisc160:amd64 (1:9.10.3.dfsg.P4-12.3+deb9u5) ...
Setting up libisc-export160 (1:9.10.3.dfsg.P4-12.3+deb9u5) ...
Processing triggers for mime-support (3.60) ...
Setting up xxd (2:8.0.0197-4+deb9u3) ...
Setting up libpng16-16:amd64 (1.6.28-1+deb9u1) ...
Setting up pve-qemu-kvm (3.0.1-2) ...
Setting up tzdata (2019a-0+deb9u1) ...

Current default time zone: 'Europe/Ljubljana'
Local time is now:      Mon Jun 24 16:08:54 CEST 2019.
Universal Time is now:  Mon Jun 24 14:08:54 UTC 2019.
Run 'dpkg-reconfigure tzdata' if you wish to change it.

Setting up linux-libc-dev:amd64 (4.9.168-1+deb9u3) ...
Setting up libdns-export162 (1:9.10.3.dfsg.P4-12.3+deb9u5) ...
Setting up samba-common (2:4.5.16+dfsg-1+deb9u2) ...
Setting up libhttp-daemon-perl (6.01-2) ...
Setting up libsmbclient:amd64 (2:4.5.16+dfsg-1+deb9u2) ...
Setting up rsync (3.1.2-1+deb9u2) ...
Setting up libisccc140:amd64 (1:9.10.3.dfsg.P4-12.3+deb9u5) ...
Setting up libssh2-1:amd64 (1.7.0-1+deb9u1) ...
Setting up smbclient (2:4.5.16+dfsg-1+deb9u2) ...
Setting up zfs-zed (0.7.13-pve1~bpo2) ...
Installing new version of config file /etc/zfs/zed.d/zed-functions.sh ...

Configuration file '/etc/zfs/zed.d/zed.rc'
 ==> Modified (by you or by a script) since installation.
 ==> Package distributor has shipped an updated version.
   What would you like to do about it ?  Your options are:
    Y or I  : install the package maintainer's version
    N or O  : keep your currently-installed version
      D     : show the differences between the versions
      Z     : start a shell to examine the situation
 The default action is to keep your current version.
*** zed.rc (Y/I/N/O/D/Z) [default=N] ? n
Processing triggers for libc-bin (2.24-11+deb9u4) ...
Processing triggers for systemd (232-25+deb9u11) ...
Setting up liblwres141:amd64 (1:9.10.3.dfsg.P4-12.3+deb9u5) ...
Setting up vim-common (2:8.0.0197-4+deb9u3) ...
Processing triggers for man-db (2.7.6.1-2) ...
Setting up proxmox-mini-journalreader (1.0-1) ...
Setting up postfix-sqlite (3.1.12-0+deb9u1) ...
Adding sqlite map entry to /etc/postfix/dynamicmaps.cf
Setting up pve-kernel-4.15 (5.4-4) ...
Processing triggers for rsyslog (8.24.0-1) ...
Setting up libdbus-1-3:amd64 (1.10.28-0+deb9u1) ...
Setting up postfix (3.1.12-0+deb9u1) ...
Installing new version of config file /etc/postfix/makedefs.out ...

Postfix (main.cf) configuration was untouched.  If you need to make changes,
edit /etc/postfix/main.cf (and others) as needed.  To view Postfix
configuration values, see postconf(1).

After modifying main.cf, be sure to run 'service postfix reload'.

Running newaliases
Setting up vim-tiny (2:8.0.0197-4+deb9u3) ...
Setting up libdns162:amd64 (1:9.10.3.dfsg.P4-12.3+deb9u5) ...
Setting up libpve-common-perl (5.0-52) ...
Setting up libisccfg140:amd64 (1:9.10.3.dfsg.P4-12.3+deb9u5) ...
Setting up libirs141:amd64 (1:9.10.3.dfsg.P4-12.3+deb9u5) ...
Setting up pve-cluster (5.0-37) ...
Setting up libbind9-140:amd64 (1:9.10.3.dfsg.P4-12.3+deb9u5) ...
Setting up dbus (1.10.28-0+deb9u1) ...
A reboot is required to replace the running dbus-daemon.
Please reboot the system when convenient.
Setting up bind9-host (1:9.10.3.dfsg.P4-12.3+deb9u5) ...
Setting up libpve-storage-perl (5.0-43) ...
Setting up libpve-access-control (5.1-10) ...
Setting up dnsutils (1:9.10.3.dfsg.P4-12.3+deb9u5) ...
Setting up pve-container (2.0-39) ...
Processing triggers for pve-ha-manager (2.0-9) ...
Setting up pve-firewall (3.0-22) ...
Setting up qemu-server (5.0-52) ...
Setting up pve-manager (5.4-6) ...
Processing triggers for libc-bin (2.24-11+deb9u4) ...
Processing triggers for systemd (232-25+deb9u11) ...
Processing triggers for pve-ha-manager (2.0-9) ...

Your System is up-to-date


Seems you installed a kernel update - Please consider rebooting
this node to activate the new kernel.

starting shell

I noticed there were some errors, which are logged above.
I also noticed there are new dirs in /usr/src:

Code:
:/usr/src# ls -la
total 52
drwxr-xr-x  7 root root  8 Jun 24 15:58 .
drwxr-xr-x 10 root root 10 Apr 10 16:47 ..
drwxr-xr-x  2 root root  4 Jun 24 16:01 DEBS
drwxr-xr-x  4 root root  9 Jun 24 15:44 linux-headers-4.9.0-9-amd64
drwxr-xr-x  4 root root  6 Jun 24 15:44 linux-headers-4.9.0-9-common
lrwxrwxrwx  1 root root 23 Jun 16 16:38 linux-kbuild-4.9 -> ../lib/linux-kbuild-4.9
drwxr-xr-x 10 root root 25 Jun 24 15:44 spl-0.6.5.9
drwxr-xr-x  5 root root 21 Jun 24 15:44 zfs-0.6.5.9

My older installs do not have such directories.
After update and reboot everything seems to work just fine.

Any comments from PM devs?
 
hmm - that's odd - PVE does not ship ZFS as dkms modules - the kernel-modules are included in the pve-kernel:
* seems somehow your system has installed the zfs-/spl- dkms packages from debian upstream?!
(make sure you have a backup just in case, and remove the dkms stuff - 0.6.5 is older than the version shipped with pve - 0.7.13)

* apart from that - the kernel-headers for the pve-kernel are in the package pve-headers (with the same version as the kernel)

hope this helps!
 
Seems this might be related to installing zed:
Code:
Start-Date: 2019-06-24  15:44:16
Commandline: apt install zfs-zed
Install: libmpc3:amd64 (1.0.3-1+b2, automatic), libmpx2:amd64 (6.3.0-18+deb9u1, automatic), linux-headers-4.9.0-9-common:amd64 (4.9.168-1+deb9u3, automatic), libmpfr4:amd64 (3.1.5-1, automatic), libfakeroot:amd64 (1.21-3.1, automatic), cpp-6:amd64 (6.3.0-18+deb9u1, automatic), binutils:amd64 (2.28-5, automatic), cpp:amd64 (4:6.3.0-4, automatic), libitm1:amd64 (6.3.0-18+deb9u1, automatic), sudo:amd64 (1.8.19p1-2.1, automatic), gcc:amd64 (4:6.3.0-4, automatic), libcilkrts5:amd64 (6.3.0-18+deb9u1, automatic), libasan3:amd64 (6.3.0-18+deb9u1, automatic), zfs-zed:amd64 (0.6.5.9-5), linux-compiler-gcc-6-x86:amd64 (4.9.168-1+deb9u3, automatic), dkms:amd64 (2.3-2, automatic), libisl15:amd64 (0.18-1, automatic), libtsan0:amd64 (6.3.0-18+deb9u1, automatic), libgcc-6-dev:amd64 (6.3.0-18+deb9u1, automatic), libubsan0:amd64 (6.3.0-18+deb9u1, automatic), make:amd64 (4.1-9.1, automatic), fakeroot:amd64 (1.21-3.1, automatic), gcc-6:amd64 (6.3.0-18+deb9u1, automatic), distro-info-data:amd64 (0.36, automatic), linux-headers-amd64:amd64 (4.9+80+deb9u7, automatic), linux-kbuild-4.9:amd64 (4.9.168-1+deb9u3, automatic), liblsan0:amd64 (6.3.0-18+deb9u1, automatic), libgomp1:amd64 (6.3.0-18+deb9u1, automatic), linux-headers-4.9.0-9-amd64:amd64 (4.9.168-1+deb9u3, automatic), spl-dkms:amd64 (0.6.5.9-1, automatic), lsb-release:amd64 (9.20161125, automatic), libatomic1:amd64 (6.3.0-18+deb9u1, automatic), libcc1-0:amd64 (6.3.0-18+deb9u1, automatic), zfs-dkms:amd64 (0.6.5.9-5, automatic)
End-Date: 2019-06-24  15:48:00

On my older systems, I have zed installed but no such dependencies were installed.
Code:
:~# dpkg --get-selections | grep -i spl
spl                       install
:~# dpkg --get-selections | grep -i zfs
libzfs2linux                   install
zfs-initramfs                   install
zfs-zed                       install
zfsutils-linux                   install

Anyhow, here is what I did to remove them:
"
# apt remove --purge zfs-dkms spl-dkms
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
dkms fakeroot gcc gcc-6 libasan3 libatomic1 libcc1-0 libcilkrts5 libfakeroot libgcc-6-dev libgomp1 libitm1 liblsan0 libmpx2 libtsan0 libubsan0
linux-compiler-gcc-6-x86 linux-headers-4.9.0-9-amd64 linux-headers-4.9.0-9-common linux-headers-amd64 linux-kbuild-4.9 sudo
Use 'apt autoremove' to remove them.
The following packages will be REMOVED:
spl-dkms* zfs-dkms*
0 upgraded, 0 newly installed, 2 to remove and 0 not upgraded.
After this operation, 11.2 MB disk space will be freed.
Do you want to continue? [Y/n] y
(Reading database ... 64506 files and directories currently installed.)
Removing zfs-dkms (0.6.5.9-5) ...

-------- Uninstall Beginning --------
Module: zfs
Version: 0.6.5.9
Kernel: 4.9.0-9-amd64 (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

zavl.ko:
- Uninstallation
- Deleting from: /lib/modules/4.9.0-9-amd64/updates/dkms/
- Original module
- No original module was found for this module on this kernel.
- Use the dkms install command to reinstall any previous module version.


zcommon.ko:
- Uninstallation
- Deleting from: /lib/modules/4.9.0-9-amd64/updates/dkms/
- Original module
- No original module was found for this module on this kernel.
- Use the dkms install command to reinstall any previous module version.


znvpair.ko:
- Uninstallation
- Deleting from: /lib/modules/4.9.0-9-amd64/updates/dkms/
- Original module
- No original module was found for this module on this kernel.
- Use the dkms install command to reinstall any previous module version.


zpios.ko:
- Uninstallation
- Deleting from: /lib/modules/4.9.0-9-amd64/updates/dkms/
- Original module
- No original module was found for this module on this kernel.
- Use the dkms install command to reinstall any previous module version.


zunicode.ko:
- Uninstallation
- Deleting from: /lib/modules/4.9.0-9-amd64/updates/dkms/
- Original module
- No original module was found for this module on this kernel.
- Use the dkms install command to reinstall any previous module version.


zfs.ko:
- Uninstallation
- Deleting from: /lib/modules/4.9.0-9-amd64/updates/dkms/
- Original module
- No original module was found for this module on this kernel.
- Use the dkms install command to reinstall any previous module version.

depmod...

Warning: Unable to find an initial ram disk that I know how to handle.
Will not try to make an initrd.

DKMS: uninstall completed.

------------------------------
Deleting module version: 0.6.5.9
completely from the DKMS tree.
------------------------------
Done.
Removing spl-dkms (0.6.5.9-1) ...

-------- Uninstall Beginning --------
Module: spl
Version: 0.6.5.9
Kernel: 4.9.0-9-amd64 (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

spl.ko:
- Uninstallation
- Deleting from: /lib/modules/4.9.0-9-amd64/updates/dkms/
- Original module
- No original module was found for this module on this kernel.
- Use the dkms install command to reinstall any previous module version.


splat.ko:
- Uninstallation
- Deleting from: /lib/modules/4.9.0-9-amd64/updates/dkms/
- Original module
- No original module was found for this module on this kernel.
- Use the dkms install command to reinstall any previous module version.

depmod...

DKMS: uninstall completed.

------------------------------
Deleting module version: 0.6.5.9
completely from the DKMS tree.
------------------------------
Done.
(Reading database ... 63819 files and directories currently installed.)
Purging configuration files for zfs-dkms (0.6.5.9-5) ...
root@p25:~# apt autoremove
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be REMOVED:
dkms fakeroot gcc gcc-6 libasan3 libatomic1 libcc1-0 libcilkrts5 libfakeroot libgcc-6-dev libgomp1 libitm1 liblsan0 libmpx2 libtsan0 libubsan0
linux-compiler-gcc-6-x86 linux-headers-4.9.0-9-amd64 linux-headers-4.9.0-9-common linux-headers-amd64 linux-kbuild-4.9 sudo
0 upgraded, 0 newly installed, 22 to remove and 0 not upgraded.
After this operation, 98.2 MB disk space will be freed.
Do you want to continue? [Y/n] y
(Reading database ... 63819 files and directories currently installed.)
Removing dkms (2.3-2) ...
Removing fakeroot (1.21-3.1) ...
update-alternatives: using /usr/bin/fakeroot-tcp to provide /usr/bin/fakeroot (fakeroot) in auto mode
Removing gcc (4:6.3.0-4) ...
Removing linux-headers-amd64 (4.9+80+deb9u7) ...
Removing linux-headers-4.9.0-9-amd64 (4.9.168-1+deb9u3) ...
dpkg: warning: while removing linux-headers-4.9.0-9-amd64, directory '/lib/modules/4.9.0-9-amd64' not empty so not removed
Removing linux-compiler-gcc-6-x86 (4.9.168-1+deb9u3) ...
Removing gcc-6 (6.3.0-18+deb9u1) ...
Removing libgcc-6-dev:amd64 (6.3.0-18+deb9u1) ...
Removing libasan3:amd64 (6.3.0-18+deb9u1) ...
Removing libatomic1:amd64 (6.3.0-18+deb9u1) ...
Removing libcc1-0:amd64 (6.3.0-18+deb9u1) ...
Removing libcilkrts5:amd64 (6.3.0-18+deb9u1) ...
Removing libfakeroot:amd64 (1.21-3.1) ...
Removing libgomp1:amd64 (6.3.0-18+deb9u1) ...
Removing libitm1:amd64 (6.3.0-18+deb9u1) ...
Removing liblsan0:amd64 (6.3.0-18+deb9u1) ...
Removing libmpx2:amd64 (6.3.0-18+deb9u1) ...
Removing libtsan0:amd64 (6.3.0-18+deb9u1) ...
Removing libubsan0:amd64 (6.3.0-18+deb9u1) ...
Removing linux-headers-4.9.0-9-common (4.9.168-1+deb9u3) ...
Removing linux-kbuild-4.9 (4.9.168-1+deb9u3) ...
Removing sudo (1.8.19p1-2.1) ...
Processing triggers for libc-bin (2.24-11+deb9u4) ...
Processing triggers for man-db (2.7.6.1-2) ...
:~# reboot
[/code]
 
I do:
Code:
cat /etc/apt/sources.list /etc/apt/sources.list.d/pve-no-subs.list 

deb http://ftp.si.debian.org/debian stretch main contrib non-free
deb http://ftp.si.debian.org/debian stretch-updates main contrib non-free
# security updates
deb http://security.debian.org stretch/updates main contrib non-free
deb http://download.proxmox.com/debian/pve stretch pve-no-subscription
 
seems ok so far.

please make sure to install the zfs-packages (zfs-zed, etc.) from the proxmox repository (version currently is 0.7.13-pve1~bpo2 for all of them)
 
seems ok so far.

please make sure to install the zfs-packages (zfs-zed, etc.) from the proxmox repository (version currently is 0.7.13-pve1~bpo2 for all of them)

I think I have done it so in the first place:
Code:
Start-Date: 2019-06-24  15:44:16
Commandline: apt install zfs-zed
Haven't I?

Also you can see the detailed info about packages on my system on the bugzilla: https://bugzilla.proxmox.com/show_bug.cgi?id=2248
 
As a side note, i've posted a similar topic here: https://forum.proxmox.com/threads/how-to-force-headers-being-installed-with-the-new-kernel.55371/

The error is due to the fact that DKMS tries to compile the modules against the new kernel, but doesn't find the headers. If i understood correctly, regardless of the ZFS issue that needs to be addressed separately, in order to avoid this on every kernel update, simply install pve-headers:
Code:
apt install pve-headers

I see, might come in handy on next install or update, if "ZFS issue" is not fixed or rejected as an issue.
 

About

The Proxmox community has been around for many years and offers help and support for Proxmox VE, Proxmox Backup Server, and Proxmox Mail Gateway.
We think our community is one of the best thanks to people like you!

Get your subscription!

The Proxmox team works very hard to make sure you are running the best software and getting stable updates and security enhancements, as well as quick enterprise support. Tens of thousands of happy customers have a Proxmox subscription. Get yours easily in our online shop.

Buy now!